slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSLOBPCGGetLocking

Gets the locking flag used in the LOBPCG method.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGGetLocking(EPS eps,PetscBool *lock)

Not Collective

### Input Parameter

| eps | - the eigenproblem solver context

### Output Parameter

| lock | - the locking flag

### See Also

EPSLOBPCGSetLocking()

### Level

advanced

### Location

src/eps/impls/cg/lobpcg/lobpcg.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages